aut = som_read_data('auta-som.txt');

sM = som_make(aut);
pause

colormap(1-gray)
som_show(sM,'umat','all');
pause

sM = som_autolabel(sM,aut,'vote');
som_show(sM,'umat','all','empty','Labels')
som_show_add('label',sM,'Textsize',8,'TextColor','r','Subplot',2)
pause
bmu = som_bmus(sM,[29	6	135	84	2513	16	82]); 
h=zeros(sM.topol.msize); h(bmu) = 1;
som_show_add('hit',h(:),'markercolor','r','markersize',0.5,'subplot','all')

pause
som_show_clear('hit',1)
h1 = som_hits(sM,aut.data(1:246,:));
h2 = som_hits(sM,aut.data(247:325,:));
h3 = som_hits(sM,aut.data(326:392,:));

som_show_add('hit',[h1, h2, h3],'MarkerColor',[1 0 0; 0 1 0; 0 0 1],'Subplot',1)
pause
som_show_clear('hit',1)

h1 = som_hits(sM,aut.data(1:246,:));
h2 = som_hits(sM,aut.data(247:392,:));

som_show_add('hit',[h1, h2],'MarkerColor',[1 0 0; 0 0 1],'Subplot',1)
pause

subplot(1,1,1);
[Pd,V,me] = pcaproj(aut.data,2);        % project the data
Pm        = pcaproj(sM.codebook,V,me); % project the prototypes

som_grid(sM,'Coord',Pm,'Linecolor','k');
title('PC-projection')
pause

som_grid(sM,'Coord',Pm,'Linecolor','k','label',sM.labels,'labelcolor','r'); 
title('PC-projection')
pause

M = som_normalize(sM.codebook,'range');
som_barplane(sM, M, '', 'unitwise');
title('som\_barplane')
pause


som_show(sM) 